#ifndef FortranCInterface_HEADER_INCLUDED
#define FortranCInterface_HEADER_INCLUDED

/* Mangling for Fortran global symbols without underscores. */
#define FortranCInterface_GLOBAL(name,NAME) name##_

/* Mangling for Fortran global symbols with underscores. */
#define FortranCInterface_GLOBAL_(name,NAME) name##_

/* Mangling for Fortran module symbols without underscores. */
#define FortranCInterface_MODULE(mod_name,name, mod_NAME,NAME) __##mod_name##_MOD_##name

/* Mangling for Fortran module symbols with underscores. */
#define FortranCInterface_MODULE_(mod_name,name, mod_NAME,NAME) __##mod_name##_MOD_##name

/*--------------------------------------------------------------------------*/
/* Mangle some symbols automatically.                                       */
#define sgemm FortranCInterface_GLOBAL(sgemm, SGEMM)
#define snaupd FortranCInterface_GLOBAL(snaupd, SNAUPD)
#define sneupd FortranCInterface_GLOBAL(sneupd, SNEUPD)
#define dnaupd FortranCInterface_GLOBAL(dnaupd, DNAUPD)
#define dneupd FortranCInterface_GLOBAL(dneupd, DNEUPD)
#define cheev FortranCInterface_GLOBAL(cheev, CHEEV)

#endif
